DMTCP\_LAUNCH(1)

NAME
dmtcp_launch -- launch a process under DMTCP control.

SYNOPSIS

dmtcp_launch [OPTIONS] <command> [args...]

DESCRIPTION

dmtcp_launch launches a process under DMTCP control.

A typical usage is:
  rm ckpt_a.out_*.dmtcp # Remove any stale copies of ckpt image
  dmtcp_launch --interval 5 a.out
  dmtcp_command --checkpoint # Execute this in another window
  #Kill the currently running a.out process
  dmtcp_restart ckpt_a.out_*.dmtcp

OPTIONS

  Connecting to the DMTCP Coordinator

-h, --coord-host hostname (environment variable DMTCP_COORD_HOST)
     Hostname where dmtcp_coordinator is run (default: localhost)

-p, --coord-port port (environment variable DMTCP_COORD_PORT)
     Port where dmtcp_coordinator is run (default: 7779)

--port-file filename
     File to write listener port number. (Useful with --coord-port 0, which is used to assign a random port)

-j, --join
     Join an existing coordinator, raise error if one doesn't already exist

--new-coordinator
     Create a new coordinator at the given port. Fail if one already exists on the given port. The port can be specified with --coord-port, or with environment variable DMTCP_COORD_PORT. If no port is specified, start coordinator at a random port (same as specifying port '0').

--no-coordinator
     Execute the process in stand-alone coordinator-less mode.
    Use dmtcp_command or --interval to request checkpoints.

-i, --interval seconds (environment variable DMTCP_CHECKPOINT_INTERVAL)
     Time in seconds between automatic checkpoints. 0 implies never (manual ckpt only); if not set and no env var, use default value set in dmtcp_coordinator or dmtcp_command. Not allowed if --join is specified

  Checkpoint image generation

--gzip, --no-gzip (environment variable DMTCP_GZIP=[01])
     Enable/disable compression of checkpoint images (default: 1 (enabled))
    WARNING: gzip adds seconds. Without gzip, ckpt is often < 1s

--ckptdir path (environment variable DMTCP_CHECKPOINT_DIR)
     Directory to store checkpoint images (default: curr dir at launch)

--ckpt-open-files
     Checkpoint open files and restore old working dir. (default: do neither)

--checkpoint-open-files
     Deprecated. Use --ckpt-open-files instead.

--ckpt-signal signum
     Signal number used internally by DMTCP for checkpointing (default: 12)

--ckpt-signal signum
     Deprecated. Use --ckpt-signal instead.

  Enable/disable plugins

--with-plugin plugins (environment variable DMTCP_PLUGIN)
     Colon-separated list of DMTCP plugins to be preloaded with DMTCP. (Absolute pathnames are required.)

--batch-queue, --rm
     Enable support for resource managers (Torque PBS and SLURM). (default: disabled)

--ptrace
     Enable support for PTRACE system call for gdb/strace etc. (default: disabled)

--modify-env
     Update environment variables based on the environment on the restart host (e.g., DISPLAY=$DISPLAY). This can be set in a file dmtcp_env.txt. (default: disabled)

--ib, --infiniband
     Enable InfiniBand plugin. (default: disabled)

--disable-alloc-plugin (environment variable DMTCP_ALLOC_PLUGIN=[01])
     Disable alloc plugin (default: enabled).

--disable-dl-plugin (environment variable DMTCP_DL_PLUGIN=[01])
     Disable dl plugin (default: enabled).

--disable-all-plugins (EXPERTS ONLY, FOR DEBUGGING)
     Disable all plugins.

  Other options

--prefix path
     Prefix where DMTCP is installed on remote nodes.

--tmpdir path (environment variable DMTCP_TMPDIR)
     Directory to store temporary files (default: $TMDPIR/dmtcp-$USER@$HOST or /tmp/dmtcp-$USER@$HOST)

-q, --quiet (or set environment variable DMTCP_QUIET = 0, 1, or 2)
     Skip NOTE messages; if given twice, also skip WARNINGs

--help
     Print this message and exit.

--version
     Print version information and exit.

REPORTING BUGS
Report bugs to: dmtcp-forum@lists.sourceforge.net
DMTCP home page: <http://dmtcp.sourceforge.net>

SEE ALSO
dmtcp(1), dmtcp_coordinator(1), dmtcp_launch(1), dmtcp_restart(1), dmtcp_command(1)

AUTHOR
See /usr/share/doc/dmtcp-2.6.0/AUTHORS.

VERSION

DMTCP version 2.6.0 of July, 2019.

COPYRIGHT
See /usr/share/doc/dmtcp-2.6.0/COPYING file.

License LGPLv3+: GNU LGPL version 3 or later <http://gnu.org/licenses/lgpl.html>.

This program comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it under certain conditions; see COPYING file for details.